Bug 1016200 - Review Request: (unorphan) global - Source code tag system
Review Request: (unorphan) global - Source code tag system
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 13:21 EDT by Pavel Zhukov
Modified: 2014-06-18 03:22 EDT (History)
5 users (show)

See Also:
Fixed In Version: global-6.2.9-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-29 21:54:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pavel Zhukov 2013-10-07 13:21:21 EDT
Spec URL: http://landgraf.fedorapeople.org/packages/requested/global/global.spec
SRPM URL: http://landgraf.fedorapeople.org/packages/requested/global/global-6.2.9-1.fc19.src.rpm

Description: 
GNU GLOBAL is a source code tag system that works the same way across
diverse environments. It supports C, C++, Yacc, Java, PHP and
assembler source code.

Fedora Account System Username:landgraf
Comment 1 Pavel Zhukov 2013-10-07 13:23:25 EDT
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6032750
Comment 2 Peter Lemenkov 2013-10-08 04:49:41 EDT
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is silent

work ~: rpmlint ~/Desktop/global-* ~/Desktop/emacs-global-*
global.src:3: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 3)

^^^ A minor cosmetic issue. Please fix that before uploading.

global.src: E: specfile-error warning: bogus date in %changelog: Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>

^^^ A minor cosmetic issue. Please fix that before uploading.

global.x86_64: W: manual-page-warning /usr/share/man/man1/global.1.gz 224: warning: macro `./../../usr/src/sys/libkern/strlen.c' not defined
global.x86_64: W: manual-page-warning /usr/share/man/man1/global.1.gz 228: warning: macro `./../../usr/src/lib/libc/string/strlen.c' not defined

^^^ These two should be reported upstream (if not fixed there already)/

global.x86_64: E: non-executable-script /usr/share/gtags/completion.cgi.tmpl 0644L /usr/bin/perl
global.x86_64: E: non-executable-script /usr/share/gtags/ghtml.cgi.tmpl 0644L /bin/sh
global.x86_64: E: non-executable-script /usr/share/gtags/bless.sh.tmpl 0644L /bin/sh
global.x86_64: E: non-executable-script /usr/share/gtags/global.cgi.tmpl 0644L /usr/bin/perl

^^^ I suppose that these files have to have shebang (they are templates necessary for a normal operation).

global-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/global-6.2.9/libltdl/.libs
global-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/global-6.2.9/libltdl/.libs

^^^ I'm not an autotools expert but looks like .libs should be somehow marked as "ignored". I think this should be reported upstream.

global-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/global-6.2.9/libglibc/regex.h
global-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/global-6.2.9/libglibc/regex.c

^^^ Just chmod 644 them in the %prep section.

global-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/global-6.2.9/libglibc/getopt.h

^^^ Although some other fellow maintainers insists that we should fix this, I believe that only upstream should deal with legal things. Please report upstream about that.

emacs-global.noarch: W: no-documentation

^^^ Sad but true - this sub-package doesn't have them.

emacs-global-el.noarch: W: spelling-error Summary(en_US) Elisp -> Lisp, Elise, Elisa
emacs-global-el.noarch: W: spelling-error %description -l en_US Elisp -> Lisp, Elise, Elisa

^^^ False positive.

emacs-global-el.noarch: W: no-documentation

^^^ Likewise. Sad but true - this sub-package doesn't have any documantation.

emacs-global-el.noarch: E: script-without-shebang /usr/share/emacs/site-lisp/gtags.el

^^^ I'm not an elisp expert, but I think it's harmless.

5 packages and 0 specfiles checked; 7 errors, 11 warnings.
work ~:

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (GPLv2 or later with some BSD-licensed parts).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

work ~/rpmbuild/SOURCES: sha256sum global-6.2.9.tar.gz*
d8d831cbd9bac9f51598af316231290cc328e4f18dc29b58a2f2ae0fee44c303  global-6.2.9.tar.gz
d8d831cbd9bac9f51598af316231290cc328e4f18dc29b58a2f2ae0fee44c303  global-6.2.9.tar.gz.1
work ~/rpmbuild/SOURCES: 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files in some of the dynamic linker's default paths.

-/+ The package does bundles copies of system libraries (ltdl among them) but I don't want to insist on removing them right now. Please investigate the issue and either remove these libraries (build agaist system-wide ones) or ask FESCo for bundling exception:

* https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries#Exceptions

0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No C/C++ header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files without a suffix (e.g. libfoo.so) in some of the dynamic linker's default paths.
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ All filenames in rpm packages are valid UTF-8.


APPROVED

ps In the future please address all these issues (minor mostly) mentioned above.
Comment 3 Pavel Zhukov 2013-10-08 05:11:08 EDT
Note: this is deprecated package. SCM is already created 

New Package SCM Request
=======================
Package Name: global
Short Description: Source code tag system
Owners: landgraf
Branches: f19 f20 rawhide
InitialCC:
Comment 4 Gwyn Ciesla 2013-10-08 08:26:25 EDT
Unretired devel, f19.  Please take ownership of those and f18, and submit a
Package Change request for f20.
Comment 5 Pavel Zhukov 2013-10-08 09:44:36 EDT
Package Change Request
======================
Package Name: global
New Branches:  F20
Owners: landgraf
InitialCC: 
======================

Thank you!
Comment 6 Gwyn Ciesla 2013-10-08 10:09:40 EDT
Git done (by process-git-requests).

Please leave initialcc blank if not needed.
Comment 7 Pavel Zhukov 2013-10-08 15:11:14 EDT
https://fedorahosted.org/rel-eng/ticket/5792
Comment 8 Fedora Update System 2013-10-20 17:36:11 EDT
global-6.2.9-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/global-6.2.9-3.fc19
Comment 9 Fedora Update System 2013-10-20 17:44:28 EDT
global-6.2.9-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/global-6.2.9-3.fc20
Comment 10 Fedora Update System 2013-10-21 14:27:35 EDT
Package global-6.2.9-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing global-6.2.9-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19608/global-6.2.9-3.fc20
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2013-10-29 21:54:37 EDT
global-6.2.9-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-11-10 01:45:26 EST
global-6.2.9-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.